curl --request POST \
--url https://api.presenton.ai/api/v3/presentation/generate/async \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"content": "A concise introduction to renewable energy"
}
'import requests
url = "https://api.presenton.ai/api/v3/presentation/generate/async"
payload = { "content": "A concise introduction to renewable energy" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({content: 'A concise introduction to renewable energy'})
};
fetch('https://api.presenton.ai/api/v3/presentation/generate/async', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"message": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"user": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>",
"status": "pending",
"data": {},
"error": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Async generation (Cloud)
Create a background Cloud generation task and return immediately with its task identifier.
curl --request POST \
--url https://api.presenton.ai/api/v3/presentation/generate/async \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"content": "A concise introduction to renewable energy"
}
'import requests
url = "https://api.presenton.ai/api/v3/presentation/generate/async"
payload = { "content": "A concise introduction to renewable energy" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({content: 'A concise introduction to renewable energy'})
};
fetch('https://api.presenton.ai/api/v3/presentation/generate/async', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"message": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"user": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>",
"status": "pending",
"data": {},
"error": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
The content for generating the presentation
The content and layout for each slide
Show child attributes
Show child attributes
Number of slides to generate
The instruction for generating the presentation
The tone to use for the text
default, casual, professional, funny, educational, sales_pitch How verbose the text should be
concise, standard, text-heavy How to generate the content for each slide
preserve, enhance, condense Whether to emphasize the markdown
Whether to enable web search
Type of image to generate
stock, ai-generated Language for the presentation
Standard template to use for the presentation. Available templates: neo-general, neo-modern, neo-standard, neo-swift, general, modern, standard, swift and your custom templates
Design V2 id to use for the smart presentation
Community one-shot Smart presentation to use as a complete HTML design reference. Cannot be combined with smart_design.
1Generate and apply a recommended design direction when no Smart Design or community design reference is supplied
Standard or Smart generation
standard, smart Preferred presentation font
Whether to include a table of contents
Whether to include a title slide
Whether to allow access to user's info
Files to use for the presentation. Use /api/v3/files/upload to upload files.
Optional structured webpage references; prompt URLs are detected automatically
5Export format
pptx, pdf, png Whether to trigger subscribed webhooks
Response
Successful Response
Was this page helpful?